#include <bits/stdc++.h>
using namespace std;
string f(long a)
{
    long d;
    string b[]={"0","1"};
    string s="";
    while(a>0)
    {
        d=a%2;
        s=b[d]+s;
        a=a/2;
    }
    return s;
}
int main()
{
    ifstream f1("DOINP.inp");
    ofstream f2("DOINP.out");
    long n,i;
    f1>>n;
    long a[n+1];
    for(i=1;i<=n;i++)
    {
        f1>>a[i];
    }
    for(i=1;i<=n;i++)
    {
        f2<<f(a[i])<<endl;
    }
    f1.close();
    f2.close();
    return 0;
}
